import React from 'react';

const Footer = () => {
    return (
        <>
            <footer className="footer">
                <div className="footer__inner">
                    <svg width="27" height="22" viewBox="0 0 27 22" fill="none" xmlns="http://www.w3.org/2000/svg">
                        <path d="M15.5913 22V11.9655H19.7233L20.3433 8.05372H15.5913V5.55662C15.5913 4.42442 15.9756 3.65284 17.9704 3.65284L20.5105 3.65199V0.153153C20.0712 0.10664 18.5634 0 16.8084 0C13.1437 0 10.6348 1.82266 10.6348 5.1692V8.05372H6.49023V11.9655H10.6348V22H15.5913Z" fill="url(#paint0_linear)" />
                    </svg>
                    <svg width="22" height="22" viewBox="0 0 22 22" fill="none" xmlns="http://www.w3.org/2000/svg">
                        <path d="M12.9336 11C12.9336 12.0678 12.0678 12.9336 11 12.9336C9.93216 12.9336 9.06641 12.0678 9.06641 11C9.06641 9.93216 9.93216 9.06641 11 9.06641C12.0678 9.06641 12.9336 9.93216 12.9336 11Z" fill="url(#paint0_linear)" />
                        <path d="M14.2656 5.15625H7.73438C6.31271 5.15625 5.15625 6.31271 5.15625 7.73438V14.2656C5.15625 15.6873 6.31271 16.8438 7.73438 16.8438H14.2656C15.6873 16.8438 16.8438 15.6873 16.8438 14.2656V7.73438C16.8438 6.31271 15.6873 5.15625 14.2656 5.15625ZM11 14.2227C9.22301 14.2227 7.77734 12.777 7.77734 11C7.77734 9.22301 9.22301 7.77734 11 7.77734C12.777 7.77734 14.2227 9.22301 14.2227 11C14.2227 12.777 12.777 14.2227 11 14.2227ZM14.6953 7.94922C14.3393 7.94922 14.0508 7.66069 14.0508 7.30469C14.0508 6.94868 14.3393 6.66016 14.6953 6.66016C15.0513 6.66016 15.3398 6.94868 15.3398 7.30469C15.3398 7.66069 15.0513 7.94922 14.6953 7.94922Z" fill="url(#paint0_linear)" />
                        <path d="M16.1992 0H5.80078C2.60229 0 0 2.60229 0 5.80078V16.1992C0 19.3977 2.60229 22 5.80078 22H16.1992C19.3977 22 22 19.3977 22 16.1992V5.80078C22 2.60229 19.3977 0 16.1992 0ZM18.1328 14.2656C18.1328 16.3979 16.3979 18.1328 14.2656 18.1328H7.73438C5.60205 18.1328 3.86719 16.3979 3.86719 14.2656V7.73438C3.86719 5.60205 5.60205 3.86719 7.73438 3.86719H14.2656C16.3979 3.86719 18.1328 5.60205 18.1328 7.73438V14.2656Z" fill="url(#paint0_linear)" />
                    </svg>
                    <svg width="22" height="22" viewBox="0 0 22 22" fill="none" xmlns="http://www.w3.org/2000/svg">
                        <path d="M22 4.04897L20.0147 3.78746L20.533 1.85336L18.2073 2.47658C17.4639 2.03615 16.6198 1.80469 15.7477 1.80469C13.0823 1.80469 10.9137 3.97327 10.9137 6.63867V7.26575C7.58701 7.08481 4.52464 5.50655 2.43361 2.87286L1.89297 2.19191L1.39867 2.9071C1.20296 3.19009 1.03696 3.49524 0.905029 3.81364C0.49498 4.8036 0.422302 5.87312 0.695053 6.90689C0.855347 7.515 1.13548 8.0882 1.51079 8.58905L0.744568 8.77301L0.894958 9.39975C1.2946 11.0638 2.51686 12.3582 4.08606 12.8765L3.3326 13.7587L3.82271 14.1773C4.56342 14.81 5.46576 15.2027 6.42534 15.3101C4.70726 16.8098 2.45979 17.7186 0 17.7186L0.276779 17.9109C2.44788 19.4194 4.9968 20.2168 7.6481 20.2168C11.1029 20.2168 14.3507 18.8715 16.7936 16.4287C19.2364 13.9858 20.5817 10.7378 20.5817 7.2832V6.63867C20.5817 6.41124 20.5658 6.18364 20.5342 5.95923L22 4.04897Z" fill="url(#paint0_linear)" />

                    </svg>
                    <svg width="22" height="22" viewBox="0 0 22 22" fill="none" xmlns="http://www.w3.org/2000/svg">
                        <path d="M21.9942 22V21.9991H21.9997V13.9306C21.9997 9.98345 21.1499 6.94287 16.5354 6.94287C14.3171 6.94287 12.8284 8.16021 12.2207 9.31429H12.1565V7.31137H7.78125V21.9991H12.3371V14.7263C12.3371 12.8114 12.7001 10.9597 15.0715 10.9597C17.4081 10.9597 17.4429 13.145 17.4429 14.8491V22H21.9942Z" fill="url(#paint0_linear)" />
                        <path d="M0.363281 7.3125H4.92462V22.0002H0.363281V7.3125Z" fill="url(#paint0_linear)" />
                        <path d="M2.64183 0C1.18342 0 0 1.18342 0 2.64183C0 4.10025 1.18342 5.30842 2.64183 5.30842C4.10025 5.30842 5.28367 4.10025 5.28367 2.64183C5.28275 1.18342 4.09933 0 2.64183 0V0Z" fill="url(#paint0_linear)" />
                        <defs>
                            <linearGradient id="paint0_linear" x1="5.5" y1="2" x2="16.5" y2="18" gradientUnits="userSpaceOnUse">
                                <stop stop-color="#0196ED" />
                                <stop offset="1" stop-color="#05A995" />
                            </linearGradient>
                        </defs>
                    </svg>
                </div>
                <div className="footer__rights">
                    <p>©2020 Gargoyle. All rights reserved.</p>
                </div>
            </footer>
        </>
    );
}

export default Footer;